import  Component from '../component.js';
import  DivComponent from '../div.js';
import  FormComponent from '../form.js';
import  CoEuiIconSvg from './eui-icon-svg.js';
import  CoEuiInputText from './eui-input-text.js';

export default class CoEuiTableFilter extends Component {
    constructor(parent) {
      let selector = 'eui-table-filter';
      super(parent, selector);
      //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-table/filter/eui-table-filter.component.html?at=master
    }
    get filterCO() {
      return new DivComponent(this.currentPath).addPredicateClassContains('eui-table__filter');
    }
    get formCO() {
      return new FormComponent(this.filterCO);
    }
    get filterInputCO() {
      return new CoEuiInputText(this.formCO).byClassContains('eui-table__filter-input');
    }
    get searchIconCO() {
      return new CoEuiIconSvg(this.formCO).byClassContains('eui-table__filter-search-icon');
    }
}
